#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tls
version:              1.5.5
visibility:           public
id:                   tls-1.5.5-50PCMKqFKJhIVuyMh9XLYC
key:                  tls-1.5.5-50PCMKqFKJhIVuyMh9XLYC
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Vincent Hanquez <vincent@snarc.org>
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             http://github.com/vincenthz/hs-tls
synopsis:             TLS/SSL protocol native implementation (Server and Client)
description:
    Native Haskell TLS and SSL protocol implementation for server and client.

    This provides a high-level implementation of a sensitive security protocol,
    eliminating a common set of security issues through the use of the advanced
    type system, high level constructions and common Haskell features.

    Currently implement the SSL3.0, TLS1.0, TLS1.1, TLS1.2 and TLS 1.3 protocol,
    and support RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
    and many extensions.

    Some debug tools linked with tls, are available through the
    <http://hackage.haskell.org/package/tls-debug/>.

category:             Network
abi:                  2bba1a02aa263673498fbe503d10c10b
exposed:              True
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Extra Network.TLS.Extra.Cipher Network.TLS.Extra.FFDHE
    Network.TLS.Internal Network.TLS.QUIC

hidden-modules:
    Network.TLS.Cap Network.TLS.Struct Network.TLS.Struct13
    Network.TLS.Core Network.TLS.Context Network.TLS.Context.Internal
    Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
    Network.TLS.Crypto.DH Network.TLS.Crypto.IES
    Network.TLS.Crypto.Types Network.TLS.ErrT Network.TLS.Extension
    Network.TLS.Handshake Network.TLS.Handshake.Certificate
    Network.TLS.Handshake.Client Network.TLS.Handshake.Common
    Network.TLS.Handshake.Common13 Network.TLS.Handshake.Control
    Network.TLS.Handshake.Key Network.TLS.Handshake.Process
    Network.TLS.Handshake.Random Network.TLS.Handshake.Server
    Network.TLS.Handshake.Signature Network.TLS.Handshake.State
    Network.TLS.Handshake.State13 Network.TLS.Hooks Network.TLS.IO
    Network.TLS.Imports Network.TLS.KeySchedule Network.TLS.MAC
    Network.TLS.Measurement Network.TLS.Packet Network.TLS.Packet13
    Network.TLS.Parameters Network.TLS.PostHandshake Network.TLS.Record
    Network.TLS.Record.Disengage Network.TLS.Record.Engage
    Network.TLS.Record.Layer Network.TLS.Record.Reading
    Network.TLS.Record.Writing Network.TLS.Record.State
    Network.TLS.Record.Types Network.TLS.RNG Network.TLS.State
    Network.TLS.Session Network.TLS.Sending Network.TLS.Receiving
    Network.TLS.Util Network.TLS.Util.ASN1
    Network.TLS.Util.Serialization Network.TLS.Types Network.TLS.Wire
    Network.TLS.X509

import-dirs:          /usr/lib/ghc-8.10.4/site-local/tls-1.5.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/tls-1.5.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/tls-1.5.5
hs-libraries:         HStls-1.5.5-50PCMKqFKJhIVuyMh9XLYC
depends:
    asn1-encoding-0.9.6-6HXdPzDvj5IQaqwWxHVQJ
    asn1-types-0.3.4-EBAe6OfFptRChPxrzAIo4z
    async-2.2.3-2cYLtGWZjMO21a0j0Ua6Nz base-4.14.1.0
    bytestring-0.10.12.0 cereal-0.5.8.1-GAgNOTi0dTnED5BVJ0WdTc
    cryptonite-0.28-KXWVrQDob0GDHr4hy2k2li
    data-default-class-0.1.2.0-56BXPST0gStFZdhRwxhsn8
    hourglass-0.2.12-D7B5EPVoAV5J9BG7bFpL7v
    memory-0.15.0-E8yvrlcxsw5JtBytoHmuPe mtl-2.2.2
    network-3.1.2.1-FhOaehNchti9X3Dj4Rfk7n transformers-0.5.6.2
    x509-1.7.5-ABWjjwOGba96HM8GEbucSR
    x509-store-1.6.7-9bXAbvV9vPb8V898NqfUDp
    x509-validation-1.6.11-6Z2FGu2R11bCP6KzDBrBBn

haddock-interfaces:   /usr/share/doc/haskell-tls/html/tls.haddock
haddock-html:         /usr/share/doc/haskell-tls/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

